Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21315

Description

I'm trying to open an OSM file exported by Overpass API. When I try to import the topology from XML it says me "Failed to import OSM

data:

XML error: Storing way 234887286 failed.".

This is the XML I'm trying to import in QGIS 2.10 in MAC OS 10.10.4: https://dl.dropboxusercontent.com/u/1118905/interpreter.osm.zip

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#2 - 2015-11-09 06:15 AM - Jukka Rahkonen

It would be easier to check this OSM file if it would have been captured with the metadata tags, especially "version". Without version tag for example JOSM

does not open the file.

#3 - 2015-11-09 10:23 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Seems a dataset problem, it fails also in other software, like JOSM.
